# SetMaintenancePlanRenewalDate

### Description

Sets the maintenance plan renewal date. It is recommended to set a UTC date.

Note that to call this function, you must:

* Set the AdminEncryptionKey

```csharp
bool SetMaintenancePlanRenewalDate (string webServiceUrl, string activationKey, 
                                    DateTime maintenancePlanRenewalDate, 
                                    out string errorMessage)
```

### Parameters

| Parameter                  |   Type   | Description                                   |
| -------------------------- | :------: | --------------------------------------------- |
| webServiceUrl              |  string  | URL to the QLM License Server.                |
| activationKey              |  string  | activation key to set the maintenance plan on |
| maintenancePlanRenewalDate | DateTime | the new renewal date of the maintenance plan  |
| errorMessage               |  string  | returned error message                        |

### Return

| Type | Description                                               |
| ---- | --------------------------------------------------------- |
| bool | returns true if the operation succeeded; false otherwise. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/management-methods/setmaintenanceplanrenewaldate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
